Provide inventory details for a Submission
You call thislisting:self
POST
/v1/listing/submissions/{submissionID}/inventoryDetails
const url = 'https://api.zentail.com/v1/listing/submissions/example/inventoryDetails';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"inventoryLevelSent":1,"successful":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v1/listing/submissions/example/inventoryDetails \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "inventoryLevelSent": 1, "successful": true }'If a submission is provided that contains inventory information, it is advised to also provide the inventory details associated with it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”submissionID
required
string
Submission ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
inventoryLevelSent
required
integer
successful
required
boolean
Examplegenerated
{ "inventoryLevelSent": 1, "successful": true}Responses
Section titled “ Responses ”Success
Media typeapplication/json
string
Examplegenerated
exampleBad Request
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 400}Permission Denied
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 403}Not Found
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 404}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{ "errorCode": 500}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 503}